Admin APIs/Map & Telemetry
Vehicle History by IMEI
GET
/admin/vehicles/by-imei/:imei/historyBearer token required
ADMINContent-Type:
application/jsonPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
imei | string | Required |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
from | string | Required | ISO datetime |
to | string | Required | ISO datetime |
stopMin | string | Optional | Min stop duration (minutes) |
overspeedKph | string | Optional | Speed threshold |
maxPoints | string | Optional | Max data points |
Code Examples
curl -X GET 'https://<your-domain>:3001/admin/vehicles/by-imei/:imei/history' \
-H 'Authorization: Bearer <token>'Try It
API Playground
Sends a real request to the configured serverimei*from*to*stopMinoverspeedKphmaxPoints